{
    onSourceAfterFaint(length, target, source, effect) {
      if (effect && effect.effectType === "Move") {
        this.boost({ spe: length }, source);
      }
    },
    onModifyMove(move) {
      delete move.flags["contact"];
    },
    flags: {},
    name: "Monarch's Pole",
    rating: 3,
    num: -204
  }